Bug 530053 (CVE-2009-3873) - CVE-2009-3873 OpenJDK JPEG Image Writer quantization problem (6862968)
Summary: CVE-2009-3873 OpenJDK JPEG Image Writer quantization problem (6862968)
Status: CLOSED ERRATA
Alias: CVE-2009-3873
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,source=sun,public=20...
Keywords: Security
: 533225 (view as bug list)
Depends On: 530367 530368 532004 532005 534067 534068 543562 543563 543564 545353 545354 549649 549650 554295 589514 589515
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-21 11:35 UTC by Marc Schoenefeld
Modified: 2018-08-15 19:21 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-08-22 15:41:13 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1560 normal SHIPPED_LIVE Critical: java-1.6.0-sun security update 2009-11-09 15:04:13 UTC
Sun Bug Database 6862968 None None None Never
Red Hat Product Errata RHSA-2009:1571 normal SHIPPED_LIVE Critical: java-1.5.0-sun security update 2009-11-10 19:30:16 UTC
Red Hat Product Errata RHSA-2009:1584 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security update 2009-11-16 15:44:53 UTC
Red Hat Product Errata RHSA-2009:1643 normal SHIPPED_LIVE Critical: java-1.4.2-ibm security update 2009-12-08 02:56:40 UTC
Red Hat Product Errata RHSA-2009:1647 normal SHIPPED_LIVE Critical: java-1.5.0-ibm security update 2009-12-08 19:09:07 UTC
Red Hat Product Errata RHSA-2009:1662 normal SHIPPED_LIVE Low: Red Hat Network Satellite Server Sun Java Runtime security update 2009-12-11 13:42:50 UTC
Red Hat Product Errata RHSA-2009:1694 normal SHIPPED_LIVE Critical: java-1.6.0-ibm security update 2009-12-23 17:33:56 UTC
Red Hat Product Errata RHSA-2010:0043 normal SHIPPED_LIVE Low: Red Hat Network Satellite Server IBM Java Runtime security update 2010-01-14 16:32:02 UTC

Comment 3 Mark J. Cox 2009-11-03 22:59:33 UTC
  A buffer overflow vulnerability in the Java Runtime Environment
  with processing JPEG files may allow an untrusted applet or Java Web Start
  application to escalate privileges. For example, an untrusted applet
  may grant itself permissions to read and write local files or
  execute local applications that are accessible to the user
  running the untrusted applet.

Comment 4 Josh Bressers 2009-11-05 21:20:13 UTC
*** Bug 533225 has been marked as a duplicate of this bug. ***

Comment 5 errata-xmlrpc 2009-11-09 15:04:31 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2009:1560 https://rhn.redhat.com/errata/RHSA-2009-1560.html

Comment 7 errata-xmlrpc 2009-11-10 19:30:22 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2009:1571 https://rhn.redhat.com/errata/RHSA-2009-1571.html

Comment 8 Fedora Update System 2009-11-13 08:45:15 UTC
java-1.6.0-openjdk-1.6.0.0-33.b16.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-33.b16.fc12

Comment 9 Fedora Update System 2009-11-13 08:49:08 UTC
java-1.6.0-openjdk-1.6.0.0-23.b16.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-23.b16.fc10

Comment 10 Fedora Update System 2009-11-13 16:34:25 UTC
java-1.6.0-openjdk-1.6.0.0-30.b16.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-30.b16.fc11

Comment 11 Fedora Update System 2009-11-14 03:29:19 UTC
java-1.6.0-openjdk-1.6.0.0-30.b16.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2009-11-14 03:31:11 UTC
java-1.6.0-openjdk-1.6.0.0-33.b16.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2009-11-14 03:32:26 UTC
java-1.6.0-openjdk-1.6.0.0-23.b16.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 errata-xmlrpc 2009-11-16 15:44:59 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:1584 https://rhn.redhat.com/errata/RHSA-2009-1584.html

Comment 16 errata-xmlrpc 2009-12-08 02:56:54 UTC
This issue has been addressed in following products:

  Extras for RHEL 3
  Extras for Red Hat Enterprise Linux 5
  Extras for RHEL 4

Via RHSA-2009:1643 https://rhn.redhat.com/errata/RHSA-2009-1643.html

Comment 18 errata-xmlrpc 2009-12-08 19:09:26 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2009:1647 https://rhn.redhat.com/errata/RHSA-2009-1647.html

Comment 19 errata-xmlrpc 2009-12-11 13:43:52 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.1

Via RHSA-2009:1662 https://rhn.redhat.com/errata/RHSA-2009-1662.html

Comment 21 errata-xmlrpc 2009-12-23 17:34:13 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2009:1694 https://rhn.redhat.com/errata/RHSA-2009-1694.html

Comment 23 errata-xmlrpc 2010-01-14 16:33:00 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.3

Via RHSA-2010:0043 https://rhn.redhat.com/errata/RHSA-2010-0043.html


Note You need to log in before you can comment on or make changes to this bug.